Package com.xebialabs.xlrelease.domain.events

## Class CreatedWithoutTemplate$

- java.lang.Object
- - scala.runtime.AbstractFunction0<CreatedWithoutTemplate>
  - - com.xebialabs.xlrelease.domain.events.CreatedWithoutTemplate$

- All Implemented Interfaces:
    `java.io.Serializable`, `scala.Function0<CreatedWithoutTemplate>`

      public class CreatedWithoutTemplate$
      extends scala.runtime.AbstractFunction0<CreatedWithoutTemplate>
      implements java.io.Serializable

  See Also:
    Serialized Form

- - ### Field Summary

    Fields
    Modifier and Type | Field | Description
    --- | --- | ---
    `static CreatedWithoutTemplate$` | `MODULE$` | Static reference to the singleton instance of this Scala object.

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `CreatedWithoutTemplate$()` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `CreatedWithoutTemplate` | `apply()` |
    `java.lang.String` | `toString()` |
    `boolean` | `unapply​(CreatedWithoutTemplate x$0)` |

    - ### Methods inherited from class scala.runtime.AbstractFunction0

      `apply$mcB$sp, apply$mcC$sp, apply$mcD$sp, apply$mcF$sp, apply$mcI$sp, apply$mcJ$sp, apply$mcS$sp, apply$mcV$sp, apply$mcZ$sp`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### MODULE$

          public static final CreatedWithoutTemplate$ MODULE$

      Static reference to the singleton instance of this Scala object.

  - ### Constructor Detail

    - #### CreatedWithoutTemplate$

          public CreatedWithoutTemplate$()

  - ### Method Detail

    - #### toString

          public final java.lang.String toString()

      Specified by:
        `toString` in interface `scala.Function0<CreatedWithoutTemplate>`
      Overrides:
        `toString` in class `scala.runtime.AbstractFunction0<CreatedWithoutTemplate>`

    - #### apply

          public CreatedWithoutTemplate apply()

      Specified by:
        `apply` in interface `scala.Function0<CreatedWithoutTemplate>`

    - #### unapply

          public boolean unapply​(CreatedWithoutTemplate x$0)